Author Topic: Compiz 0.9 series package available  (Read 40485 times)

0 Members and 1 Guest are viewing this topic.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #15 on: 29. July 2014, 20:04:19 »
Is compiz 0.9 compatible with saved compiz settinsg profiles?
Actually I don't dare to use compiz 0.9 right now, I fear too many plugins are missing.
J.
Hitten by the door in the back when I left Manjaro.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9.11 series package available
« Reply #16 on: 29. July 2014, 20:20:39 »
I think that main reason why Compit 0.8 doesn't work for me anymore (like it was in previous months) is because of the new nVidia driver. Before 340.24 everything worked just fine... Maybe it has also something with new versions of xorg but nVidia is the main culprit.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #17 on: 29. July 2014, 20:29:42 »
I think that main reason why Compit 0.8 doesn't work for me anymore (like it was in previous months) is because of the new nVidia driver. Before 340.24 everything worked just fine... Maybe it has also something with new versions of xorg but nVidia is the main culprit.
So you use Compiz 0.9 now and it works?
J.
Hitten by the door in the back when I left Manjaro.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9.11 series package available
« Reply #18 on: 29. July 2014, 20:32:25 »
Nope but I will try it.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #19 on: 30. July 2014, 11:50:41 »
Allright, wanted to give compiz-manjaro-test a try, it will remove everything from compiz 0.8 ( plugins, compizconfig-python, compiz-bcop, csm). still couldn't install, as I encountered dependency  conflicts with emerald and fusion-icon.
Any suggestions?
Will emerald and fusion-icon work with compiz-manjaro-test?
If not, I won't use it.
J.
Hitten by the door in the back when I left Manjaro.

Offline trzalica

  • Sr. Mitglied
  • ****
  • Posts: 285
  • Branch: stable
  • Desktop: Xfce
  • GPU Card: nVidia Geforce 8800 GT
  • GPU driver: Non-free
  • Kernel: Linux 4.1 x64
  • Skill: Intermediate
Re: Compiz 0.9.11 series package available
« Reply #20 on: 30. July 2014, 11:56:19 »
Did you try to install latest version of Compiz 0.9 that Rob gave yesterday? Fusion icon is on "Conflicts" list so it will not work (you can try but there's a little chance because it was made for Compiz 0.8 ). I don't see why Emerald wouldn't work with Compiz 0.9...
« Last Edit: 30. July 2014, 12:02:18 by TRZALICA »

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9.11 series package available
« Reply #21 on: 30. July 2014, 12:01:56 »
as I encountered dependency  conflicts with emerald and fusion-icon.
Any suggestions?
Will emerald and fusion-icon work with compiz-manjaro-test?
If not, I won't use it.

Firstly, there's no package called "compiz-manjaro-test", the old package was called "compiz09-manjaro-test", the new one is called "compiz-manjaro". Trying compiz09-manjaro-test is pointless because it's old. compiz-manjaro is not in stable yet but can be safely used with stable - see the first post.

My understanding is you need to use emerald-git with the 0.9 series.
https://aur.archlinux.org/packages/emerald-git/

However, the dependencies for the package are kinda incorrect. The maintainer acknowledges and agrees with this and is going to change it, but hasn't yet. See the 2 most recent comments on the package.

What you need to do is before building the package change the line in the PKGBUILD that looks like this:
Code: [Select]
depends=('compiz-core-bzr' 'libwnck' 'xdg-utils' \To instead look like this:
Code: [Select]
depends=('compiz-core-devel' 'libwnck' 'xdg-utils' \


Regarding Fusion Icon, i have no idea. The new package doesn't conflict with it, so you can try.
I've never understood the big deal with Fusion Icon though, you can just change the decorator in CCSM whenever you want.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #22 on: 30. July 2014, 12:22:26 »
Allright, I am on unstable.

Code: [Select]
[jeannie@Manjaro ~]$ sudo pacman -S compiz-manjaro
[sudo] password for jeannie:
Fehler: Ziel nicht gefunden: compiz-manjaro
[jeannie@Manjaro ~]$

Target not found: compiz-manjaro

* Jeannie scratches her head

Regarding fusion-icon: It allows me to change decorator as well as window manager with two clicks on the panel icon.

J.
« Last Edit: 30. July 2014, 12:27:45 by Jeannie »
Hitten by the door in the back when I left Manjaro.

Offline Erwan

  • Jr. Mitglied
  • **
  • Posts: 68
  • Branch: unstable
  • Desktop: Xfce + Compiz
  • GPU Card: NVIDIA G84 [GeForce 8600 GS]
  • GPU driver: free/non-free
  • Kernel: Linux319 x86_64
  • Skill: Intermediate
Re: Compiz 0.9.11 series package available
« Reply #23 on: 30. July 2014, 12:35:03 »
hello, strange, this package is present in community for me :
Code: [Select]
[erwan@manjaro ~]$ yaourt compiz-manjaro
1 community/compiz-manjaro 0.9.11.2-4

Offline dicktater

  • Held Mitglied
  • *****
  • Posts: 2056
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #24 on: 30. July 2014, 12:40:35 »
pacman vs yaourt
The Manjaro Forum Revised Rules  How to Report Issues Properly   Please Read the Manjaro Wiki

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #25 on: 30. July 2014, 12:48:05 »
So, tried to install it on a fresh, updated Manjaro MATE 0.8.10 system in a vm.

It failed with an error message

Code: [Select]
Makefile:66: recipe for target 'install' failed
make: *** [install] Error 1
==>ERROR: A failure occurred in package ()
      Aborting...
==> ERROR: Makepkg was unable to build compiz-manjaro.

J.
Hitten by the door in the back when I left Manjaro.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #26 on: 30. July 2014, 13:49:27 »
Firstly, there's no package called "compiz-manjaro-test", the old package was called "compiz09-manjaro-test", the new one is called "compiz-manjaro". Trying compiz09-manjaro-test is pointless because it's old. compiz-manjaro is not in stable yet but can be safely used with stable - see the first post.

My understanding is you need to use emerald-git with the 0.9 series.
https://aur.archlinux.org/packages/emerald-git/

However, the dependencies for the package are kinda incorrect. The maintainer acknowledges and agrees with this and is going to change it, but hasn't yet. See the 2 most recent comments on the package.

What you need to do is before building the package change the line in the PKGBUILD that looks like this:
Code: [Select]
depends=('compiz-core-bzr' 'libwnck' 'xdg-utils' \To instead look like this:
Code: [Select]
depends=('compiz-core-devel' 'libwnck' 'xdg-utils' \


Regarding Fusion Icon, i have no idea. The new package doesn't conflict with it, so you can try.
I've never understood the big deal with Fusion Icon though, you can just change the decorator in CCSM whenever you want.
So, finally managed to install compiz-manjaro.
Fusion-icon is not installable due to package conflicts:
Code: [Select]
[mate@matevb ~]$ sudo pacman -S fusion-icon
[sudo] password for mate:
Löse Abhängigkeiten auf...
suche nach Zwischenkonflikten...
:: libcompizconfig und compiz-manjaro stehen miteinander in Konflikt. compiz-manaro entfernen [j/N]

Compiz without fusion icon des not make any sebse for me, besides being able to  select decorator /window manager with two clicks, it also allows me to restart compiz easily.
Having no fusion-icon for compiz 0.9 makes compiz-manjaro 0.9 unuseable for me, sorry.
J.
P.S. I am even willing to build fusion-icon from source, just have no idea where to get the source from
« Last Edit: 30. July 2014, 14:05:58 by Jeannie »
Hitten by the door in the back when I left Manjaro.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9.11 series package available
« Reply #27 on: 30. July 2014, 14:33:41 »
Enjoy Compiz 0.8, i hope it keeps working for you.

Offline Jeannie

  • Held Mitglied
  • *****
  • Posts: 1546
  • Skill: Novice
Re: Compiz 0.9.11 series package available
« Reply #28 on: 30. July 2014, 14:49:35 »
Did some more tests with Compiz 0.9 in a physically installed system.: I can't use emerald, it's not selectable via ccsm, if i run
Code: [Select]
emerald --replace in a terminal I get a memory access error, the compiz 0.9 thumbnail plugin does only work sometimes, ccsm flickers as hell.
I noticed exactly the same, when I tried compiz 0.9 about 2 year ago under Mint 14 MATE
My momentary  conclusion: Emerald Compiz 0.9 is buggy,  semi broken and unuseable in it's current state.
I'd give it another try though if someone could tell me how to make emerald work with it
J.
Edited by jeannie to correct  typing errors.
Another edit: The recommended 'emerald-git' package from aur  conflicts with Compiz-Manjaro and tries to remove it.
J.
« Last Edit: 30. July 2014, 14:59:12 by Jeannie »
Hitten by the door in the back when I left Manjaro.

Offline Rob

  • Core Team
  • *****
  • Posts: 5390
  • Alias: Korrode
  • Branch: Unstable
  • Desktop: Xfce+Compiz
  • GPU Card: nVidia GTX560Ti
  • GPU driver: non-free
  • Kernel: linux314 x64
  • Skill: Advanced
Re: Compiz 0.9.11 series package available
« Reply #29 on: 30. July 2014, 15:20:25 »
Did some more tests with Compiz 0.9 in a physically installed system.: I can't use emerald, it's not selectable via ccsm, if i run
Code: [Select]
emerald --replace in a terminal I get a memory access error,


Log out/in after entering 'emerald' there is there's any issue.

the compiz 0.9 thumbnail plugin does only work sometimes, ccsm flickers as hell.
Hmm, thumbnail plugin crashed X when i enabled it (which certainly isn't great), though when i killed X and re-logged in, it has since been working fine.


Another edit: The recommended 'emerald-git' package from aur  conflicts with Compiz-Manjaro and tries to remove it.
J.

You did as i advised here?
What you need to do is before building the package change the line in the PKGBUILD that looks like this:
Code: [Select]
depends=('compiz-core-bzr' 'libwnck' 'xdg-utils' \To instead look like this:
Code: [Select]
depends=('compiz-core-devel' 'libwnck' 'xdg-utils' \

Because i am running emerald-git with Compiz 0.9 right now and it's working fine for me.